VME BPM - Bug #9320

MoocNew() fails on tstbopm3
06/27/2015 08:21 PM - John Diamond

Status: Closed Start date: 06/27/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.75 hour
Description

Following occurs while booting tstbpms3...

MoocNew ()
***% yxWorks User Initialization Task ***
tracelevel array at 0xflf26c0, traceTid array at 0xf1£2948
sizeof (ENTRY_T) =32
callocing 64 bytes
traceCircQueBegin=0xf1f2670, traceCircQueEnd=0xflf26af (last byte of allocation)
khkhkhkkhkhkkhkhkhkhkrkhkhkhkhkhhhkhxkhkkx ACNET R R S i S I e b i S b S b 2 g
w Copyright (c) 1992-2011 Universities Research &
* Association, Inc., All Rights Reserved *
khkkhkkhkhkhkkkhkkkkkk*k Accelerator Controls Network *khkkhkkhkhkhkkkhkkkkkk*k
ACNET_INIT: argcnt=3; arg0 = 0xf0e9510 argl = 0xf0£f7688
Start ACNE T . & it ittt ettt e e ettt et
ACNET Common Version 1.9: sizeof shared common = 0x46c4 bytes
NETCommon = Oxflbfa60
ACNET Init Netc_partID = 0xflfle80, size = 0x80000
IPINI: host name = tstbpm3_0xc50, inet address = 0x83el7cé6d
IP_nod=c50, IP_Srcnod=c50: inetaddr (131.225.124.109)
SO_SNDBUF length = 59200, SO_RCVBUF length = 59200
Enable Connections to ACNETsendto trunk C, node $1F (errno = 41)
status=ffffffff, rg=0xflc05b4
ACNAUX NTSREQ: status= ffffffff
sendto trunk A, node $25 (errno = 41)
status=ffffffff, rg=0x£flc05d8
ACNAUX NTSREQ: status= ffffffff
sendto trunk A, node $26 (errno = 41)
status=ffffffff, rg=0xflcO05fc
ACNAUX NTSREQ: status= ffffffff
sendto trunk E, node $B (errno = 41)
status=ffffffff, rg=0x£flc0620
ACNAUX NTSREQ: status= ffffffff

History

#1 - 06/27/2015 08:24 PM - John Diamond

Charlie says -

MCROl->printErrno 0x41
S_errno_EHOSTUNREACH
value = 21 = 0x15

mask or route or gateway s screwed up

Subnet mask and gateway are configured correctly. Noticed that | can get MoocNew() to succeed by aborting the boot script right before calling
MoocNew() then invoking it manually from the shell.

#2 - 06/27/2015 08:32 PM - John Diamond

Charlie suggests -

Add a “rouiteAdd” early in your startup script
routeAdd ("0.0.0.0","131.225.117.200")
where 117.200 would be replaced with your gateway.

Added:

routeAdd ("0.0.0.0","131.225.124.200"

To the top of:

/fecode-bd/vxworks_boot/fe/sybpm/tstbpm3

Will verify on Monday morning.

#3 - 06/29/2015 09:21 AM - John Diamond
- Status changed from New to Resolved

- % Done changed from 0 to 100

The first argument was causing routeAdd to return -1. Used:

routeAdd "131.225.0.0", "131.225.124.200"

Instead and the problem went away.

#4 - 07/01/2015 03:28 PM - John Diamond

- Status changed from Resolved to Closed
